%define upstream_name    Dist-Zilla-Plugin-Git-DescribeVersion
%define upstream_version 1.004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Provide version using git-describe
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.0.0
BuildRequires: perl(Dist::Zilla::Role::VersionProvider)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Git::DescribeVersion)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::MockObject) >= 1.90.0
BuildRequires: perl(Test::MockObject::Extends) >= 1.90.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This does the the Dist::Zilla::Role::VersionProvider manpage role. It uses
the Git::DescribeVersion manpage to count the number of commits since the
last tag (matching _match_pattern_) or since the initial commit, and uses
the result as the _version_ parameter for your distribution.

The plugin accepts the same options as Git::DescribeVersion/new. See the
Git::DescribeVersion/OPTIONS manpage.

You can also set the 'V' environment variable to override the new version.
This is useful if you need to bump to a specific version. For example, if
the last tag is 0.005 and you want to jump to 1.000 you can set V = 1.000.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.4.0-2.mga3
+ Revision: 366178
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 1.4.0-1.mga3
+ Revision: 286091
- update to 1.004

  + jquelin <jquelin>
    - update to 1.003

* Mon Mar 14 2011 jquelin <jquelin> 1.1.11-1.mga1
+ Revision: 71192
- imported package perl-Dist-Zilla-Plugin-Git-DescribeVersion

